#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> a) {
    vector<int>r ;
    int n = a.size();
    if ( n % 2 == 0 ){
    for ( int i = 1 ; i < n ; i += 2 ) r.push_back(i);
    for ( int i = 0 ; i < n ; i += 2 ) r.push_back(i);
    }
    else {
    for ( int i = 0 ; i < n ; i += 2 ) r.push_back(i);
    for ( int i = 1 ; i < n ; i += 2 ) r.push_back(i);
    }
    return r ;
}

